static int hf_hi2_IRIsContent_PDU = -1;           /* IRIsContent */
static int hf_hi2_iRIContent = -1;                /* IRIContent */
static int hf_hi2_iRISequence = -1;               /* IRISequence */
static int hf_hi2_IRISequence_item = -1;          /* IRIContent */
static int hf_hi2_iRI_Begin_record = -1;          /* IRI_Parameters */
static int hf_hi2_iRI_End_record = -1;            /* IRI_Parameters */
static int hf_hi2_iRI_Continue_record = -1;       /* IRI_Parameters */
static int hf_hi2_iRI_Report_record = -1;         /* IRI_Parameters */
static int hf_hi2_domainID = -1;                  /* OBJECT_IDENTIFIER */
static int hf_hi2_iRIversion = -1;                /* T_iRIversion */
static int hf_hi2_lawfulInterceptionIdentifier = -1;  /* LawfulInterceptionIdentifier */
static int hf_hi2_communicationIdentifier = -1;   /* CommunicationIdentifier */
static int hf_hi2_timeStamp = -1;                 /* TimeStamp */
static int hf_hi2_intercepted_Call_Direct = -1;   /* T_intercepted_Call_Direct */
static int hf_hi2_intercepted_Call_State = -1;    /* Intercepted_Call_State */
static int hf_hi2_ringingDuration = -1;           /* OCTET_STRING_SIZE_3 */
static int hf_hi2_conversationDuration = -1;      /* OCTET_STRING_SIZE_3 */
static int hf_hi2_locationOfTheTarget = -1;       /* Location */
static int hf_hi2_partyInformation = -1;          /* SET_SIZE_1_10_OF_PartyInformation */
static int hf_hi2_partyInformation_item = -1;     /* PartyInformation */
static int hf_hi2_callContentLinkInformation = -1;  /* T_callContentLinkInformation */
static int hf_hi2_cCLink1Characteristics = -1;    /* CallContentLinkCharacteristics */
static int hf_hi2_cCLink2Characteristics = -1;    /* CallContentLinkCharacteristics */
static int hf_hi2_release_Reason_Of_Intercepted_Call = -1;  /* OCTET_STRING_SIZE_2 */
static int hf_hi2_nature_Of_The_intercepted_call = -1;  /* T_nature_Of_The_intercepted_call */
static int hf_hi2_serverCenterAddress = -1;       /* PartyInformation */
static int hf_hi2_sMS = -1;                       /* SMS_report */
static int hf_hi2_cC_Link_Identifier = -1;        /* CC_Link_Identifier */
static int hf_hi2_national_Parameters = -1;       /* National_Parameters */
static int hf_hi2_gPRSCorrelationNumber = -1;     /* GPRSCorrelationNumber */
static int hf_hi2_gPRSevent = -1;                 /* GPRSEvent */
static int hf_hi2_sgsnAddress = -1;               /* DataNodeAddress */
static int hf_hi2_gPRSOperationErrorCode = -1;    /* GPRSOperationErrorCode */
static int hf_hi2_ggsnAddress = -1;               /* DataNodeAddress */
static int hf_hi2_qOS = -1;                       /* UmtsQos */
static int hf_hi2_networkIdentifier = -1;         /* Network_Identifier */
static int hf_hi2_sMSOriginatingAddress = -1;     /* DataNodeAddress */
static int hf_hi2_sMSTerminatingAddress = -1;     /* DataNodeAddress */
static int hf_hi2_iMSevent = -1;                  /* IMSevent */
static int hf_hi2_sIPMessage = -1;                /* OCTET_STRING */
static int hf_hi2_servingSGSN_number = -1;        /* OCTET_STRING_SIZE_1_20 */
static int hf_hi2_servingSGSN_address = -1;       /* OCTET_STRING_SIZE_5_17 */
static int hf_hi2_ldiEvent = -1;                  /* LDIevent */
static int hf_hi2_correlation = -1;               /* CorrelationValues */
static int hf_hi2_national_HI2_ASN1parameters = -1;  /* National_HI2_ASN1parameters */
static int hf_hi2_communication_Identity_Number = -1;  /* OCTET_STRING_SIZE_1_8 */
static int hf_hi2_network_Identifier = -1;        /* Network_Identifier */
static int hf_hi2_operator_Identifier = -1;       /* OCTET_STRING_SIZE_1_5 */
static int hf_hi2_network_Element_Identifier = -1;  /* Network_Element_Identifier */
static int hf_hi2_e164_Format = -1;               /* OCTET_STRING_SIZE_1_25 */
static int hf_hi2_x25_Format = -1;                /* OCTET_STRING_SIZE_1_25 */
static int hf_hi2_iP_Format = -1;                 /* OCTET_STRING_SIZE_1_25 */
static int hf_hi2_dNS_Format = -1;                /* OCTET_STRING_SIZE_1_25 */
static int hf_hi2_iP_Address = -1;                /* IPAddress */
static int hf_hi2_localTime = -1;                 /* LocalTimeStamp */
static int hf_hi2_utcTime = -1;                   /* UTCTime */
static int hf_hi2_generalizedTime = -1;           /* GeneralizedTime */
static int hf_hi2_winterSummerIndication = -1;    /* T_winterSummerIndication */
static int hf_hi2_party_Qualifier = -1;           /* T_party_Qualifier */
static int hf_hi2_partyIdentity = -1;             /* T_partyIdentity */
static int hf_hi2_imei = -1;                      /* OCTET_STRING_SIZE_8 */
static int hf_hi2_tei = -1;                       /* OCTET_STRING_SIZE_1_15 */
static int hf_hi2_imsi = -1;                      /* OCTET_STRING_SIZE_3_8 */
static int hf_hi2_callingPartyNumber = -1;        /* CallingPartyNumber */
static int hf_hi2_calledPartyNumber = -1;         /* CalledPartyNumber */
static int hf_hi2_msISDN = -1;                    /* OCTET_STRING_SIZE_1_9 */
static int hf_hi2_sip_uri = -1;                   /* OCTET_STRING */
static int hf_hi2_tel_url = -1;                   /* OCTET_STRING */
static int hf_hi2_services_Information = -1;      /* Services_Information */
static int hf_hi2_supplementary_Services_Information = -1;  /* Supplementary_Services */
static int hf_hi2_services_Data_Information = -1;  /* Services_Data_Information */
static int hf_hi2_iSUP_Format = -1;               /* OCTET_STRING_SIZE_1_25 */
static int hf_hi2_dSS1_Format = -1;               /* OCTET_STRING_SIZE_1_25 */
static int hf_hi2_mAP_Format = -1;                /* OCTET_STRING_SIZE_1_25 */
static int hf_hi2_e164_Number = -1;               /* OCTET_STRING_SIZE_1_25 */
static int hf_hi2_globalCellID = -1;              /* OCTET_STRING_SIZE_5_7 */
static int hf_hi2_tetraLocation = -1;             /* TetraLocation */
static int hf_hi2_rAI = -1;                       /* OCTET_STRING_SIZE_6 */
static int hf_hi2_gsmLocation = -1;               /* GSMLocation */
static int hf_hi2_umtsLocation = -1;              /* UMTSLocation */
static int hf_hi2_sAI = -1;                       /* OCTET_STRING_SIZE_7 */
static int hf_hi2_oldRAI = -1;                    /* OCTET_STRING_SIZE_6 */
static int hf_hi2_ms_Loc = -1;                    /* T_ms_Loc */
static int hf_hi2_mcc = -1;                       /* INTEGER_0_1023 */
static int hf_hi2_mnc = -1;                       /* INTEGER_0_16383 */
static int hf_hi2_lai = -1;                       /* INTEGER_0_65535 */
static int hf_hi2_ci = -1;                        /* INTEGER */
static int hf_hi2_ls_Loc = -1;                    /* INTEGER */
static int hf_hi2_geoCoordinates = -1;            /* T_geoCoordinates */
static int hf_hi2_latitude = -1;                  /* PrintableString_SIZE_7_10 */
static int hf_hi2_longitude = -1;                 /* PrintableString_SIZE_8_11 */
static int hf_hi2_mapDatum = -1;                  /* MapDatum */
static int hf_hi2_azimuth = -1;                   /* INTEGER_0_359 */
static int hf_hi2_utmCoordinates = -1;            /* T_utmCoordinates */
static int hf_hi2_utm_East = -1;                  /* PrintableString_SIZE_10 */
static int hf_hi2_utm_North = -1;                 /* PrintableString_SIZE_7 */
static int hf_hi2_utmRefCoordinates = -1;         /* T_utmRefCoordinates */
static int hf_hi2_utmref_string = -1;             /* PrintableString_SIZE_13 */
static int hf_hi2_wGS84Coordinates = -1;          /* OCTET_STRING */
static int hf_hi2_point = -1;                     /* GA_Point */
static int hf_hi2_pointWithUnCertainty = -1;      /* GA_PointWithUnCertainty */
static int hf_hi2_polygon = -1;                   /* GA_Polygon */
static int hf_hi2_latitudeSign = -1;              /* T_latitudeSign */
static int hf_hi2_latitude_01 = -1;               /* INTEGER_0_8388607 */
static int hf_hi2_longitude_01 = -1;              /* INTEGER_M8388608_8388607 */
static int hf_hi2_geographicalCoordinates = -1;   /* GeographicalCoordinates */
static int hf_hi2_uncertaintyCode = -1;           /* INTEGER_0_127 */
static int hf_hi2_GA_Polygon_item = -1;           /* GA_Polygon_item */
static int hf_hi2_cCLink_State = -1;              /* CCLink_State */
static int hf_hi2_release_Time = -1;              /* TimeStamp */
static int hf_hi2_release_Reason = -1;            /* OCTET_STRING_SIZE_2 */
static int hf_hi2_lEMF_Address = -1;              /* CalledPartyNumber */
static int hf_hi2_iSUP_parameters = -1;           /* ISUP_parameters */
static int hf_hi2_dSS1_parameters_codeset_0 = -1;  /* DSS1_parameters_codeset_0 */
static int hf_hi2_mAP_parameters = -1;            /* MAP_parameters */
static int hf_hi2_ISUP_parameters_item = -1;      /* OCTET_STRING_SIZE_1_256 */
static int hf_hi2_DSS1_parameters_codeset_0_item = -1;  /* OCTET_STRING_SIZE_1_256 */
static int hf_hi2_MAP_parameters_item = -1;       /* OCTET_STRING_SIZE_1_256 */
static int hf_hi2_standard_Supplementary_Services = -1;  /* Standard_Supplementary_Services */
static int hf_hi2_non_Standard_Supplementary_Services = -1;  /* Non_Standard_Supplementary_Services */
static int hf_hi2_other_Services = -1;            /* Other_Services */
static int hf_hi2_iSUP_SS_parameters = -1;        /* ISUP_SS_parameters */
static int hf_hi2_dSS1_SS_parameters_codeset_0 = -1;  /* DSS1_SS_parameters_codeset_0 */
static int hf_hi2_dSS1_SS_parameters_codeset_4 = -1;  /* DSS1_SS_parameters_codeset_4 */
static int hf_hi2_dSS1_SS_parameters_codeset_5 = -1;  /* DSS1_SS_parameters_codeset_5 */
static int hf_hi2_dSS1_SS_parameters_codeset_6 = -1;  /* DSS1_SS_parameters_codeset_6 */
static int hf_hi2_dSS1_SS_parameters_codeset_7 = -1;  /* DSS1_SS_parameters_codeset_7 */
static int hf_hi2_dSS1_SS_Invoke_components = -1;  /* DSS1_SS_Invoke_Components */
static int hf_hi2_mAP_SS_Parameters = -1;         /* MAP_SS_Parameters */
static int hf_hi2_mAP_SS_Invoke_Components = -1;  /* MAP_SS_Invoke_Components */
static int hf_hi2_Non_Standard_Supplementary_Services_item = -1;  /* Non_Standard_Supplementary_Services_item */
static int hf_hi2_simpleIndication = -1;          /* SimpleIndication */
static int hf_hi2_sciData = -1;                   /* SciDataMode */
static int hf_hi2_Other_Services_item = -1;       /* OCTET_STRING_SIZE_1_256 */
static int hf_hi2_ISUP_SS_parameters_item = -1;   /* OCTET_STRING_SIZE_1_256 */
static int hf_hi2_DSS1_SS_parameters_codeset_0_item = -1;  /* OCTET_STRING_SIZE_1_256 */
static int hf_hi2_DSS1_SS_parameters_codeset_4_item = -1;  /* OCTET_STRING_SIZE_1_256 */
static int hf_hi2_DSS1_SS_parameters_codeset_5_item = -1;  /* OCTET_STRING_SIZE_1_256 */
static int hf_hi2_DSS1_SS_parameters_codeset_6_item = -1;  /* OCTET_STRING_SIZE_1_256 */
static int hf_hi2_DSS1_SS_parameters_codeset_7_item = -1;  /* OCTET_STRING_SIZE_1_256 */
static int hf_hi2_DSS1_SS_Invoke_Components_item = -1;  /* OCTET_STRING_SIZE_1_256 */
static int hf_hi2_MAP_SS_Invoke_Components_item = -1;  /* OCTET_STRING_SIZE_1_256 */
static int hf_hi2_MAP_SS_Parameters_item = -1;    /* OCTET_STRING_SIZE_1_256 */
static int hf_hi2_sMS_Contents = -1;              /* T_sMS_Contents */
static int hf_hi2_initiator = -1;                 /* T_initiator */
static int hf_hi2_transfer_status = -1;           /* T_transfer_status */
static int hf_hi2_other_message = -1;             /* T_other_message */
static int hf_hi2_content = -1;                   /* OCTET_STRING_SIZE_1_270 */
static int hf_hi2_National_Parameters_item = -1;  /* OCTET_STRING_SIZE_1_256 */
static int hf_hi2_gPRS_parameters = -1;           /* GPRS_parameters */
static int hf_hi2_pDP_address_allocated_to_the_target = -1;  /* DataNodeAddress */
static int hf_hi2_aPN = -1;                       /* OCTET_STRING_SIZE_1_100 */
static int hf_hi2_pDP_type = -1;                  /* OCTET_STRING_SIZE_2 */
static int hf_hi2_ipAddress = -1;                 /* IPAddress */
static int hf_hi2_x25Address = -1;                /* X25Address */
static int hf_hi2_iP_type = -1;                   /* T_iP_type */
static int hf_hi2_iP_value = -1;                  /* IP_value */
static int hf_hi2_iP_assignment = -1;             /* T_iP_assignment */
static int hf_hi2_iPBinaryAddress = -1;           /* OCTET_STRING_SIZE_4_16 */
static int hf_hi2_iPTextAddress = -1;             /* IA5String_SIZE_7_45 */
static int hf_hi2_countryCode = -1;               /* PrintableString_SIZE_2 */
static int hf_hi2_qosMobileRadio = -1;            /* OCTET_STRING */
static int hf_hi2_qosGn = -1;                     /* OCTET_STRING */
static int hf_hi2_iri_to_CC = -1;                 /* IRI_to_CC_Correlation */
static int hf_hi2_iri_to_iri = -1;                /* IRI_to_IRI_Correlation */
static int hf_hi2_both_IRI_CC = -1;               /* T_both_IRI_CC */
static int hf_hi2_iri_CC = -1;                    /* IRI_to_CC_Correlation */
static int hf_hi2_iri_IRI = -1;                   /* IRI_to_IRI_Correlation */
static int hf_hi2_cc = -1;                        /* T_cc */
static int hf_hi2_cc_item = -1;                   /* OCTET_STRING */
static int hf_hi2_iri = -1;                       /* OCTET_STRING */
